# RecursiveIterator::getChildren

(PHP 5 >= 5.1.0, PHP 7)

RecursiveIterator::getChildren — Returns an iterator for the current entry

### Description

public RecursiveIterator::getChildren ( void ) : RecursiveIterator

Returns an iterator for the current iterator entry.

### Parameters

This function has no parameters.

### Return Values

An iterator for the current entry.

### See Also

- RecursiveIterator::hasChildren() - Returns if an iterator can be created for the current entry